import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Children, isValidElement } from "react";
import { Accordion as FluentAccordion, AccordionItem, AccordionHeader, AccordionPanel, Subtitle1, makeStyles, tokens } from "@fluentui/react-components";
const useStyles = makeStyles({
    accordion: {
        overflowY: "auto",
        paddingBottom: tokens.spacingVerticalM,
        display: "flex",
        flexDirection: "column",
        rowGap: tokens.spacingVerticalM,
    },
    panelDiv: {
        display: "flex",
        flexDirection: "column",
        overflow: "hidden",
    },
});
export const AccordionSection = (props) => {
    const classes = useStyles();
    return _jsx("div", { className: classes.panelDiv, children: props.children });
};
export const Accordion = (props) => {
    const classes = useStyles();
    const { children, ...rest } = props;
    return (_jsx(FluentAccordion, { className: classes.accordion, collapsible: true, multiple: true, defaultOpenItems: Array.from({ length: Children.count(children) }, (_, index) => index), ...rest, children: Children.map(children, (child, index) => {
            if (isValidElement(child)) {
                return (_jsxs(AccordionItem, { value: index, children: [_jsx(AccordionHeader, { expandIconPosition: "end", children: _jsx(Subtitle1, { children: child.props.title }) }), _jsx(AccordionPanel, { children: _jsx("div", { className: classes.panelDiv, children: child }) })] }, child.props.title));
            }
            return null;
        }) }));
};
//# sourceMappingURL=accordion.js.map